## org.apache.lucene.queryParser.standard.config
Interface MultiTermRewriteMethodAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  MultiTermRewriteMethodAttributeImpl

    public interface MultiTermRewriteMethodAttribute

extends Attribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and should be defined in the `QueryConfigHandler` used by this processor. It basically tells the processor which `MultiTermQuery.RewriteMethod` to use.

Field Summary
`static java.lang.CharSequence` `TAG_ID`

Method Summary
`MultiTermQuery.RewriteMethod` `getMultiTermRewriteMethod()`
`void` `setMultiTermRewriteMethod(MultiTermQuery.RewriteMethod method)`

Field Detail

### TAG_ID

    static final java.lang.CharSequence TAG_ID

Method Detail

### setMultiTermRewriteMethod

    void setMultiTermRewriteMethod(MultiTermQuery.RewriteMethod method)

### getMultiTermRewriteMethod

    MultiTermQuery.RewriteMethod getMultiTermRewriteMethod()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.